Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class HelpSetFactory.HelpAction

    java.lang.Object
      javax.help.HelpSetFactory.HelpAction

Enclosing class:
  javax.help.HelpSetFactory

public static class HelpSetFactory.HelpAction
extends java.lang.Object

Internal storage of HelpAction defined in a Presentaion

Field Summary
`java.util.Hashtable` | `attr` Attributes of the Action
`java.lang.String` | `className` Name of the Action

Constructor Summary
`HelpSetFactory.HelpAction(java.lang.String className, java.util.Hashtable attr)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### className

    public java.lang.String className

  Name of the Action

### attr

    public java.util.Hashtable attr

  Attributes of the Action

Constructor Detail

### HelpSetFactory.HelpAction

    public HelpSetFactory.HelpAction(java.lang.String className,
                                     java.util.Hashtable attr)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD